package com.nisum.webclient;

import org.reactivestreams.Subscriber;
import org.reactivestreams.Subscription;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.web.reactive.function.client.WebClient;

import com.nisum.domain.Order;
import com.nisum.domain.Person;
import com.nisum.subscribers.OrderSubscriber;

import reactor.core.publisher.Flux;

public class WebClientStreamTest {

	public static void main(String[] args) throws Exception {
		
		String baseUrl = "http://localhost:8081/";
		String uri = "persons-stream";
		WebClient webClient = WebClient.create(baseUrl);
		Flux<Person> persons = webClient.get().uri(uri).header(HttpHeaders.CONTENT_TYPE, MediaType.APPLICATION_NDJSON_VALUE).retrieve().bodyToFlux(Person.class);
		persons.subscribe(new PersonSub());
		Thread.sleep(1000*100);
	}
		
}
